POST /v1/app-gateway/{appId}/runs/{runId}/resume
Resume a deep-agent app run's waiting node
POST
/v1/app-gateway/{appId}/runs/{runId}/resume
Resume a deep-agent app run's waiting node
Path Parameters
appId
string
required
path
Deep-agent run id (app id)
runId
string
required
path
Run id
Request Body
application/jsonResponses
200
OK
application/jsonaction
string
reason
string
403
Forbidden
404
Not Found
curl -X POST 'https://api.example.com/v1/app-gateway/string/runs/string/resume' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/app-gateway/string/runs/string/resume', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/app-gateway/string/runs/string/resume', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/app-gateway/string/runs/string/resume", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "action": "resumed", "reason": "<string>"}
API Playground
Try this endpoint
POST
/v1/app-gateway/{appId}/runs/{runId}/resume
